Bug 999111 - Partner portal company logo upload fails to upload the logo
Partner portal company logo upload fails to upload the logo
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Website (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Jessica Forrester
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-20 14:36 EDT by Jessica Forrester
Modified: 2015-05-14 22:31 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-29 08:54:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jessica Forrester 2013-08-20 14:36:21 EDT
Description of problem:
When a partner uploads their company information from the partner portal, the logo is not being successfully attached to their partner record.  So the partner logo does not appear on the /partners page and instead creates a blank section.

How reproducible:
always

Steps to Reproduce:
1. As an admin make a user an Active Partner from /partner/admin/user  (find the user and click the Edit link)
2. As the partner log in and access /partner/portal
3. As the partner choose to upload company information, on the company upload info page fill out all required info and select an image to upload as the logo.
4) View the /partners page

Actual results:
A blank section will show up as the first entry in the grid of partner images.

Expected results:
The uploaded logo should appear.  (Note: this is true even in devenvs where the existing partner logos do not appear)
Comment 1 Jessica Forrester 2013-08-20 14:37:10 EDT
Fixed in https://github.com/openshift/li/pull/1838
Comment 2 Yujie Zhang 2013-08-21 02:26:37 EDT
Will test it when devenv_3681 is ready.
Comment 3 Tian Feng 2013-08-22 04:23:02 EDT
Test on devenv-stage_448, and can upload logo successfully. And hit /partners page, the logo can be seen. So verified this bug, thanks!

Note You need to log in before you can comment on or make changes to this bug.